## gobject-introspection 1.62.0

=== debian/changelog ===
gobject-introspection (1.62.0-5) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Add more Breaks, to avoid broken partial upgrades during the libffi7
    transition by ensuring that users of our libffi-related APIs are
    upgraded to a version that was definitely built against libffi7
    - libgjs0g (<< 1.58.1-2~)
    - libglib-object-introspection-perl (<< 0.048-2~)
    - ruby-gobject-introspection (<< 3.4.1-2~)
  * Version the (build-)dependency on GLib to make sure libgobject is
    also not linked to libffi6

  [ Iain Lane ]
  * rules: Pass the private module directory to dh_python3.
    We only build for the default python version. Previously dh_python3
    wasn't finding the directory containing the private modules, so it
    didn't know this. (Closes: #950267)

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2020 19:29:41 +0000

gobject-introspection (1.62.0-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Add dependencies for libffi transition:
    - Build-depend on libffi-dev (>= 3.3) to guarantee that our ABI
      includes libffi7 objects
    - Change -dev dependency to libffi-dev (>= 3.3) too
    - d/libgirepository-1.0-1.symbols: Bump ffi-related symbols to 1.62.0-4~.
      This forces dependent packages to pick up a suitably versioned
      dependency on this package.
    - Add Breaks on older python-gi and python3-gi versions that would
      have expected libffi6 objects.
      The same should ideally be done for cjs, gjs,
      libglib-object-introspection-perl and ruby-gnome, but they haven't
      had a sourceful upload since the libffi7 transition started, and I
      would prefer not to add Breaks on specific binNMU versions.
  * Bump Standards-Version to 4.5.0 (no changes required)

  [ lintian-brush ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2020 00:09:56 +0000

gobject-introspection (1.62.0-3) unstable; urgency=medium

  * Team upload
  * d/tests/build: Mark as superficial
  * Explicitly build-depend on dh-python, fixing FTBFS with
    python3-defaults (>= 3.7.5-3)
  * Use debhelper-compat 12
  * Use dh-sequence-gnome and dh-sequence-python3 build-dependencies to
    enable debhelper addons
  * d/copyright: Fix syntax.
    Patterns with character classes, such as foo.[ch], are not supported
    by the machine-readable copyright file spec.
  * d/tests: Fix some shellcheck warnings
  * d/tests/build: Make autopkgtest cross-test-friendly

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2020 19:01:51 +0000

gobject-introspection (1.62.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:58:19 +0200

gobject-introspection (1.62.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    + Add documentation to the RelaxNG schema
    + Add Vulkan gir
    + cachestore: handle cache getting deleted while loading it
    + Drop autotools build system
    + dumper: Use the distutils linker
    + gimarshallingtests: Add a marshalling test case for GPtrArrays and
      GArrays of structures
    + Make g_irepository_get_object_gtype_interfaces actually work
    + meson: Fix wrong dependency type check for gio-unix
    + meson: require 0.49.2
    + meson: use pkg-config directly for libffi cflags and libs
    + regress: Add regression test for signal with GError param
    + scanner: parse and expose function macros
    + structinfo: Fix offset in find_method()
    + tests: Don't include "config.h" in installed files
    + Unused variable fixes
    + Update glib annotations

  [ Philip Chimento ]
  * debian/control.in: Bump meson build dependency. This is a new requirement
    documented in the upstream meson.build file.
  * debian/patches: Refresh
  * Install new Vulkan-1.0.typelib. This is now part of the gir1.2-freedesktop
    package which Provides gir1.2-vulkan-1.0 as well.

 -- Tim Lunn <tim@feathertop.org>  Tue, 10 Sep 2019 21:50:41 +1000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gobject-introspection
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               dh-sequence-python3,
               meson (>= 0.49.2),
               python3-dev,
               python3-distutils,
               pkg-config,
               flex,
               gtk-doc-tools (>= 1.19),
               bison,
               libglib2.0-dev (>= 2.62.4-2~),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libtool,
               python3-mako,
               python3-markdown
Build-Depends-Indep: libglib2.0-doc
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
Homepage: https://wiki.gnome.org/GObjectIntrospection

Package: libgirepository-1.0-1
Section: libs
Architecture: any
Depends: libglib2.0-0 (>= 2.62.4-2~),
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgjs0g (<< 1.58.1-2~),
        libglib-object-introspection-perl (<< 0.048-2~),
        python-gi (<< 3.34.0-4~),
        python3-gi (<< 3.34.0-4~),
        ruby-gobject-introspection (<< 3.4.1-2~),
Multi-Arch: same
Description: Library for handling GObject introspection data (runtime library)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains a C library for handling the introspection data.

Package: libgirepository1.0-dev
Section: libdevel
Architecture: any
Depends: libgirepository-1.0-1 (= ${binary:Version}),
         gobject-introspection (= ${binary:Version}),
         gir1.2-glib-2.0 (= ${binary:Version}),
         gir1.2-freedesktop (= ${binary:Version}),
         libglib2.0-dev (>= 2.58.0),
         libffi-dev (>= 3.3),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Suggests: libgirepository1.0-doc
Description: Library for handling GObject introspection data (development files)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the headers for the C library for handling the
 introspection data.

Package: libgirepository1.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Multi-Arch: foreign
Description: Library for handling GObject introspection data (documentation)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the documentation for the C library for handling the
 introspection data.

Package: gobject-introspection
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         libgirepository-1.0-1 (= ${binary:Version}),
         build-essential,
         python3-distutils,
         python3-mako,
         python3-markdown
Provides: dh-sequence-gir
Description: Generate interface introspection data for GObject libraries
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains tools for extracting introspection data from libraries
 and transforming it to different formats.

Package: gir1.2-glib-2.0
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Provides: gir1.2-girepository-2.0 (= ${binary:Version}),
          gir1.2-gmodule-2.0 (= ${binary:Version}),
          gir1.2-gobject-2.0 (= ${binary:Version}),
          gir1.2-gio-2.0 (= ${binary:Version})
Multi-Arch: same
Description: Introspection data for GLib, GObject, Gio and GModule
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the introspection data for the GLib, GObject,
 GModule and Gio libraries.

Package: gir1.2-freedesktop
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Provides: gir1.2-cairo-1.0 (= ${binary:Version}),
          gir1.2-dbus-1.0 (= ${binary:Version}),
          gir1.2-dbusglib-1.0 (= ${binary:Version}),
          gir1.2-fontconfig-2.0 (= ${binary:Version}),
          gir1.2-freetype2-2.0 (= ${binary:Version}),
          gir1.2-gl-1.0 (= ${binary:Version}),
          gir1.2-libxml2-2.0 (= ${binary:Version}),
          gir1.2-vulkan-1.0 (= ${binary:Version}),
          gir1.2-xfixes-4.0 (= ${binary:Version}),
          gir1.2-xft-2.0 (= ${binary:Version}),
          gir1.2-xlib-2.0 (= ${binary:Version}),
          gir1.2-xrandr-1.3 (= ${binary:Version})
Multi-Arch: same
Description: Introspection data for some FreeDesktop components
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains small pieces of introspection data for the Cairo,
 FontConfig, FreeType, GL, and some XOrg libraries. They are
 distributed in this package temporarily, while the original sources
 do not include support for GObject Introspection. They are far from
 complete and only include what is necessary for other introspection
 packages to work properly.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

MANPAGES := debian/dh_girepository.1
$(MANPAGES): debian/dh_girepository
	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dcairo=true \
		-Ddoctool=true \
		-Dpython=python3

override_dh_auto_build: $(MANPAGES)
	dh_auto_build

override_dh_shlibdeps:
	dh_shlibdeps
	perl -w debian/dh_girepository -pgir1.2-glib-2.0
	perl -w debian/dh_girepository -pgir1.2-freedesktop

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(MANPAGES)

override_dh_python3:
	dh_python3 -pgobject-introspection /usr/lib/$(DEB_HOST_MULTIARCH)/gobject-introspection/giscanner/
	dh_python3

## gobject-introspection 1.64.0

=== debian/changelog ===
gobject-introspection (1.64.0-2) unstable; urgency=medium

  * debian/dh_girepository: Make the parsing of BD more robust.
    Thanks to Simon McVittie (Closes: #933729)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Mar 2020 20:17:49 +0100

gobject-introspection (1.64.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Add Breaks on older cjs, to avoid broken partial upgrades when
    transitioning to libffi7 (see version 1.62.0-5 for more details)

  [ Iain Lane ]
  * New upstream release
    + Update glib annotations
    + Fix regress scanner tests for non-gcc/clang compilers
  * gimarshallingtests-Use-g_assert_cmpfloat_with_epsilon.patch: Add. Don't
    perform exact float comparisons; this doesn't work everywhere -
    particularly on i386. This should fix the tests for gjs 1.62.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 12 Mar 2020 18:17:19 +0000

gobject-introspection (1.63.2-1) experimental; urgency=medium

  * New upstream release
    - Add GMemoryMonitor to glib annotations
    - autotools: Make INTROSPECTION_GIRDIR/INTROSPECTION_TYPELIBDIR respect
      prefix/datadir/libdir
    - build: require meson 0.50.1
    - build: use proper dylib versioning on macOS
    - Cross compile support
    - Drop deprecated xml.etree.ElementTree.Element.getchildren() calls
    - Fix a memory leak in g_irepository_get_object_gtype_interfaces()
    - Fix build reproducibility
    - Fix non-libtool code being run with no nob-libtool dependencies
    - girepository: Also store GType cache misses
    - meson: change "cairo" from a boolean to a feature option
    - meson: change "doctool" from a boolean to a feature option
    - scanner: Support array arguments with static keyword
    - tests: Actually test libregress by specifying the LD_LIBRARY_PATH
    - Update glib annotations
  * rules: Update doctool/cairo build flags for bool → feature switch
  * control: Bump BD on meson to 0.50.1 per upstream

 -- Iain Lane <laney@debian.org>  Mon, 17 Feb 2020 18:19:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.49.2),
+               meson (>= 0.50.1),
                python3-dev,
                python3-distutils,
                pkg-config,
@@ -36,7 +36,8 @@
 Depends: libglib2.0-0 (>= 2.62.4-2~),
          ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libgjs0g (<< 1.58.1-2~),
+Breaks: libcjs0 (<< 4.4.0-2~),
+        libgjs0g (<< 1.58.1-2~),
         libglib-object-introspection-perl (<< 0.048-2~),
         python-gi (<< 3.34.0-4~),
         python3-gi (<< 3.34.0-4~),
@@ -104,6 +105,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
+         libdpkg-perl,
          libgirepository-1.0-1 (= ${binary:Version}),
          build-essential,
          python3-distutils,

## gobject-introspection 1.64.1

=== debian/changelog ===
gobject-introspection (1.64.1-1~ubuntu20.04.1) focal; urgency=medium

  * Backport new stable release from unstable / groovy. (LP: #1876693)
  * control, gbp.conf: Update for focal

 -- Iain Lane <iain.lane@canonical.com>  Mon, 04 May 2020 11:13:36 +0100

gobject-introspection (1.64.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/p/gimarshallingtests-Use-g_assert_cmpfloat_with_epsilon.patch:
      Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Apr 2020 12:02:48 +0100

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,10 @@
 Build-Depends-Indep: libglib2.0-doc
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection/-/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git -b ubuntu/focal
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
 
 Package: libgirepository-1.0-1

=== debian/tests/control ===
Tests: build
Restrictions: superficial
# deliberately avoid depending on gir1.2-glib-2.0 and friends; gir1.2-gtk-3.0
# ought to pull these in
Depends: build-essential, libgirepository1.0-dev, gir1.2-gtk-3.0, libcairo2-dev

Tests: tools
Restrictions: allow-stderr
Depends: gobject-introspection, libgirepository1.0-dev, gir1.2-gtk-3.0, libcairo2-dev, file (>= 1:5.25)

## gobject-introspection 1.66.1

=== docs/website/tools/Makefile ===
# update man pages

all: ../../g-ir-compiler.1 ../../g-ir-generate.1 ../../g-ir-scanner.1

../../%.1:%.rst
	rst2man $< > $@

.PHONY: clean

clean:
	rm -f ../../g-ir-compiler.1 ../../g-ir-generate.1 ../../g-ir-scanner.1

=== debian/changelog ===
gobject-introspection (1.66.1-1) unstable; urgency=medium

  * New upstream release
    - Update GLib annotations
    - gimarshallingtests: Add more tests for flags
    - Revert a documentation-processing change that caused regressions
  * d/p/debian/multiarch_compat.patch: Move from d/p/ to debian/
    subdirectory.
    This is a Debian-specific patch that is not intended to go upstream.

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Oct 2020 10:30:19 +0100

gobject-introspection (1.66.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Support the gtk-doc GTK 4 action syntax
    - GITypeInfo storage type utility API
    - Fix XDG_DATA_DIRS logic
    - libgirepository: Add missing nullable annotations
    - dumper: Fix missing symbols in LTO case or with overridden symbol
      visibility settings
    - Documentation improvements
    - giscanner: parse block comments for members and fields
    - Add the notion of standalone doc sections
    - giscanner: Fix section matching for documentation
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Sep 2020 09:39:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dgtk_doc=true \
-		-Dcairo=true \
-		-Ddoctool=true \
+		-Dcairo=enabled \
+		-Ddoctool=enabled \
 		-Dpython=python3
 
 override_dh_auto_build: $(MANPAGES)

## gobject-introspection 1.68.0

=== debian/changelog ===
gobject-introspection (1.68.0-1build2) impish; urgency=medium

  * No-change rebuild against libffi 3.4.2-1ubuntu5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Sep 2021 18:42:01 +0200

gobject-introspection (1.68.0-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:06 +0200

gobject-introspection (1.68.0-1) experimental; urgency=medium

  * New upstream release:
    - Update GLib annotations
  * debian/control:
    - Add python3-dev versioned dependency to match upstream
    - Use dh 13 so that we can get --fail-missing for free
    - Bump Standards-Version, no change required
  * debian/patches: Do not install win32 gir files in non-windows
  * debian: Install examples in gobject-introspection and libgirepository1.0-dev
  * debian/rules: Remove redoundant --as-needed
  * debian: Use debhelper 13 variable substitution in install files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Jun 2021 15:29:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                meson (>= 0.50.1),
-               python3-dev,
+               python3-dev (>= 3.6),
                python3-distutils,
                pkg-config,
                flex,
@@ -25,11 +25,9 @@
                python3-markdown
 Build-Depends-Indep: libglib2.0-doc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection/-/tree/ubuntu/focal
-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git -b ubuntu/focal
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
+Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
 
 Package: libgirepository-1.0-1

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+
+export GIR_SONAME = 1
+export GIR_API_VERSION = 1.0
+export GIR_FORMAT = 1.2
 
 MANPAGES := debian/dh_girepository.1
 $(MANPAGES): debian/dh_girepository

## gobject-introspection 1.72.0

=== debian/changelog ===
gobject-introspection (1.72.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/libgirepository-1.0-1.symbols.in: Add new symbols
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 12:27:20 +0000

gobject-introspection (1.71.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.58.2
  * Drop 2 patches applied in new release
  * debian/libgirepository-1.0-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 11:00:35 -0500

gobject-introspection (1.70.0-3) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with latest meson

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Jan 2022 21:05:47 -0500

gobject-introspection (1.70.0-2) unstable; urgency=medium

  * Team upload
  * Generate a dependency on libgirepository-1.0-1-with-libffi8 where needed.
    A few gobject-introspection symbols have libffi data structures in their
    arguments or results, resulting in crashes if a dependent package is
    not expecting the same ABI of libffi. Add a Provides on a virtual
    package with a programmatically-generated name such as
    libgirepository-1.0-1-with-libffi8, and generate dependencies on that
    virtual package if the affected symbols are used, so that
    gobject-introspection and its users are all on the same side of each
    future libffi transition. (Closes: #995032)
  * d/control.in: Add Breaks on cjs, gjs, etc. that expect the libffi7 ABI.
    Newer versions of these libraries have been binNMU'd against the libffi8
    ABI, and future versions of them will pick up a dependency on
    libgirepository-1.0-1-with-libffi8, but their versions in bullseye and
    testing are not compatible with a version of gobject-introspection that
    was compiled against libffi8. (Also necessary for #995032)
  * Build-depend on libffi-dev (>= 3.4).
    This makes sure we are on the "new" side of the libffi8 transition,
    so that the Breaks mentioned above make sense.
  * Add a Lintian override for #970275
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 25 Sep 2021 17:33:11 +0100

gobject-introspection (1.70.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.70
  * debian/control.in: Bump minimum meson to 0.55.3
  * debian/libgirepository-1.0-1.symbols: Add new symbols
  * debian/rules: Clean up a bit

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Sep 2021 19:42:00 -0400

gobject-introspection (1.68.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Aug 2021 09:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,28 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.50.1),
+               meson (>= 0.58.2),
+               python3:native,
+               python3-debian:native,
                python3-dev (>= 3.6),
                python3-distutils,
                pkg-config,
                flex,
                gtk-doc-tools (>= 1.19),
                bison,
-               libglib2.0-dev (>= 2.62.4-2~),
+               libglib2.0-dev (>= 2.70.0),
                libcairo2-dev,
-               libffi-dev (>= 3.3),
+               libffi-dev (>= 3.4),
                libtool,
                python3-mako,
                python3-markdown
-Build-Depends-Indep: libglib2.0-doc
+Build-Depends-Indep: libglib2.0-doc (>= 2.70.0)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
 Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
@@ -33,15 +35,16 @@
 Package: libgirepository-1.0-1
 Section: libs
 Architecture: any
-Depends: libglib2.0-0 (>= 2.62.4-2~),
+Provides: libgirepository-1.0-1-with-${gobjectintrospection:libffiN} (= ${binary:Version})
+Depends: libglib2.0-0 (>= 2.70.0),
          ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libcjs0 (<< 4.4.0-2~),
-        libgjs0g (<< 1.58.1-2~),
-        libglib-object-introspection-perl (<< 0.048-2~),
-        python-gi (<< 3.34.0-4~),
-        python3-gi (<< 3.34.0-4~),
-        ruby-gobject-introspection (<< 3.4.1-2~),
+Breaks: libcjs0 (<< 4.8.2-1+b1),
+        libgjs0g (<< 1.68.4-1+b1),
+        libglib-object-introspection-perl (<< 0.049-1+b2),
+        python-gi (<< 3.42.0-1+b1),
+        python3-gi (<< 3.42.0-1+b1),
+        ruby-gobject-introspection (<< 3.4.3-1+b2),
 Multi-Arch: same
 Description: Library for handling GObject introspection data (runtime library)
  GObject Introspection is a project for providing machine readable
@@ -62,8 +65,8 @@
          gobject-introspection (= ${binary:Version}),
          gir1.2-glib-2.0 (= ${binary:Version}),
          gir1.2-freedesktop (= ${binary:Version}),
-         libglib2.0-dev (>= 2.58.0),
-         libffi-dev (>= 3.3),
+         libglib2.0-dev (>= 2.70.0),
+         libffi-dev (>= 3.4),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export GIR_SONAME = 1
export GIR_API_VERSION = 1.0
export GIR_FORMAT = 1.2

MANPAGES := debian/dh_girepository.1
$(MANPAGES): debian/dh_girepository
	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@

%:
	dh $@

debian/extra-substvars:
	DEB_HOST_ARCH=$(DEB_HOST_ARCH) debian/extra-substvars.py >> debian/extra-substvars

debian/libgirepository-1.0-1.symbols: debian/libgirepository-1.0-1.symbols.in debian/extra-substvars
	set -e; \
	libffiN=$$(sed -ne 's/^gobjectintrospection:libffiN=//p' debian/extra-substvars); \
	sed -e "s/@libffiN@/$$libffiN/" < $< > $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dcairo=enabled \
		-Ddoctool=enabled \
		-Dpython=python3

execute_before_dh_auto_build: $(MANPAGES)

execute_before_dh_makeshlibs: debian/libgirepository-1.0-1.symbols

execute_after_dh_shlibdeps:
	perl -w debian/dh_girepository -pgir1.2-glib-2.0
	perl -w debian/dh_girepository -pgir1.2-freedesktop

execute_after_dh_auto_clean:
	rm -rf $(MANPAGES)

execute_before_dh_python3:
	dh_python3 -pgobject-introspection /usr/lib/$(DEB_HOST_MULTIARCH)/gobject-introspection/giscanner/

override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/extra-substvars

## gobject-introspection 1.74.0

=== debian/changelog ===
gobject-introspection (1.74.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: libgirepository1.0-dev is not Multi-Arch: same.
    libgirepository1.0-dev cannot be Multi-Arch: same, because GLib-2.0.gir
    differs between architectures (see #905715). It also cannot usefully be
    Multi-Arch: same because it depends on gobject-introspection, which
    includes g-ir-scanner, which is an architecture-specific tool.
    (Reopens: #801672; mitigates: #905715)
  * Remove versioned constraints unnecessary since buster (oldstable)
  * Update standards version to 4.6.2 (no changes needed)
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Jan 2023 19:38:57 +0000

gobject-introspection (1.74.0-2) unstable; urgency=medium

  * debian/control.in: Bump minimum glib to 2.74.0
  * debian/control.in: Drop explicit glib dependency from libgirepository-1.0-1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 18:08:07 -0400

gobject-introspection (1.74.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: Add copyright/licensing information for girepository/cmph.
    Thanks to Roderich Schupp. (Closes: #1018708)
  * Update d/watch
    - Update GLib to 2.74.0
    - Fix syntax of dversionmangle by escaping '+'
    - Use non-capturing parentheses for version mangling

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 19:27:58 +0100

gobject-introspection (1.73.0+ds-1) unstable; urgency=medium

  * Team upload
  * d/watch, d/gbp.conf: Add GLib source code corresponding to the
    doc-comments found in gir/*.c as a secondary tarball (Closes: #1017890)
  * d/copyright: Add copyright information for GLib
  * d/copyright: Update copyright information for GObject-Introspection
  * d/README.source: Document how to find the corresponding GLib version

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Aug 2022 16:48:23 +0100

gobject-introspection (1.73.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 21:47:21 -0400

gobject-introspection (1.73.0-1) experimental; urgency=medium

  * Team upload
  * d/watch: Look for development versions
  * New upstream release
  * d/control.in: Depend on GLib 2.73.x
  * d/control.in: Build-depend on Meson 0.60.0
  * Standards-Version: 4.6.1 (no changes required)
  * Update patch to apply to new version
  * Remove unused Lintian override now that #970275 was fixed

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Aug 2022 10:57:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,28 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.58.2),
+               meson (>= 0.60.0),
                python3:native,
                python3-debian:native,
-               python3-dev (>= 3.6),
+               python3-dev,
                python3-distutils,
                pkg-config,
                flex,
-               gtk-doc-tools (>= 1.19),
+               gtk-doc-tools,
                bison,
-               libglib2.0-dev (>= 2.70.0),
+               libglib2.0-dev (>= 2.74.0),
                libcairo2-dev,
                libffi-dev (>= 3.4),
                libtool,
                python3-mako,
                python3-markdown
-Build-Depends-Indep: libglib2.0-doc (>= 2.70.0)
+Build-Depends-Indep: libglib2.0-doc (>= 2.73.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
 Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
@@ -36,8 +36,7 @@
 Section: libs
 Architecture: any
 Provides: libgirepository-1.0-1-with-${gobjectintrospection:libffiN} (= ${binary:Version})
-Depends: libglib2.0-0 (>= 2.70.0),
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: libcjs0 (<< 4.8.2-1+b1),
         libgjs0g (<< 1.68.4-1+b1),
@@ -65,11 +64,10 @@
          gobject-introspection (= ${binary:Version}),
          gir1.2-glib-2.0 (= ${binary:Version}),
          gir1.2-freedesktop (= ${binary:Version}),
-         libglib2.0-dev (>= 2.70.0),
+         libglib2.0-dev (>= 2.74.0),
          libffi-dev (>= 3.4),
          ${shlibs:Depends},
          ${misc:Depends}
-Multi-Arch: same
 Suggests: libgirepository1.0-doc
 Description: Library for handling GObject introspection data (development files)
  GObject Introspection is a project for providing machine readable

=== debian/watch ===
version=4
opts="searchmode=plain, dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//, uversionmangle=s/\.(?:alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
# Update the version in parentheses as needed to correspond to the version
# of GLib for which a subset is present in gir/g*.c
opts="searchmode=plain, dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//, uversionmangle=s/\.(?:alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||, component=glib" \
https://download.gnome.org/sources/glib/cache.json \
	[\d.]+/glib-(2\.74\.0)@ARCHIVE_EXT@

## gobject-introspection 1.76.1

=== debian/changelog ===
gobject-introspection (1.76.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 15:41:48 -0400

gobject-introspection (1.76.0-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/watch: Use the specific version of GLib matching gir/g*.c

  [ Jeremy Bicha ]
  * debian/watch: Bump glib version to 2.76.0
  * Add patch to revert new tests that do not work on all architectures
    (Closes: #1032959)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 16:09:35 -0400

gobject-introspection (1.76.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.76.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 08:37:36 -0400

gobject-introspection (1.75.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build against glib 2.75
  * debian/libgirepository-1.0-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2023 11:30:17 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -19,7 +19,7 @@
                flex,
                gtk-doc-tools,
                bison,
-               libglib2.0-dev (>= 2.74.0),
+               libglib2.0-dev (>= 2.76.0),
                libcairo2-dev,
                libffi-dev (>= 3.4),
                libtool,
@@ -64,7 +64,7 @@
          gobject-introspection (= ${binary:Version}),
          gir1.2-glib-2.0 (= ${binary:Version}),
          gir1.2-freedesktop (= ${binary:Version}),
-         libglib2.0-dev (>= 2.74.0),
+         libglib2.0-dev (>= 2.76.0),
          libffi-dev (>= 3.4),
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/watch ===
version=4
opts="searchmode=plain, dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//, uversionmangle=s/\.(?:alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
# Update the version in parentheses as needed to correspond to the version
# of GLib for which a subset is present in gir/g*.c
opts="searchmode=plain, dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//, uversionmangle=s/\.(?:alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||, component=glib" \
https://download.gnome.org/sources/glib/cache.json \
	[\d.]+/glib-(2\.76\.1)@ARCHIVE_EXT@
